diff options
author | miozune <miozune@gmail.com> | 2023-07-25 06:12:21 +0900 |
---|---|---|
committer | GitHub <noreply@github.com> | 2023-07-24 23:12:21 +0200 |
commit | 13b2b3f90b690f7f58659df41bc1186679f8b351 (patch) | |
tree | a50f173f54e9b2addf36afdd760552f561401191 /.github/scripts/test-no-error-reports.sh | |
parent | a0c24b2ec4fc7371248b501f520e71e21f9d529b (diff) | |
download | GT5-Unofficial-13b2b3f90b690f7f58659df41bc1186679f8b351.tar.gz GT5-Unofficial-13b2b3f90b690f7f58659df41bc1186679f8b351.tar.bz2 GT5-Unofficial-13b2b3f90b690f7f58659df41bc1186679f8b351.zip |
Fix findRecipe for Elemental Duplicator (#704)
* Remove outdated script
* updateBuildScript
* Update GT
* Remove unused methods
* Fix findRecipe for Elemental Duplicator
Diffstat (limited to '.github/scripts/test-no-error-reports.sh')
-rwxr-xr-x | .github/scripts/test-no-error-reports.sh | 45 |
1 files changed, 0 insertions, 45 deletions
diff --git a/.github/scripts/test-no-error-reports.sh b/.github/scripts/test-no-error-reports.sh deleted file mode 100755 index cfce0261a5..0000000000 --- a/.github/scripts/test-no-error-reports.sh +++ /dev/null @@ -1,45 +0,0 @@ -#!/usr/bin/env bash - -RUNDIR="run" -CRASH="crash-reports" -SERVERLOG="server.log" - -# enable nullglob to get 0 results when no match rather than the pattern -shopt -s nullglob -# store matches in array (don't forget to double-quote variables expansion -crash_reports=( "$RUNDIR/$CRASH/crash"*.txt ) -if [ "${#crash_reports[@]}" -gt 0 ]; then - latest_crash_report="${crash_reports[-1]}" - { - printf 'Latest crash report detected %s:\n' "${latest_crash_report##*/}" - cat "$latest_crash_report" - } >&2 - exit 1 -fi - -if grep --quiet --fixed-strings 'Fatal errors were detected' "$SERVERLOG"; then - { - printf 'Fatal errors detected:' - cat server.log - } >&2 - exit 1 -fi - -if grep --quiet --fixed-strings 'The state engine was in incorrect state ERRORED and forced into state SERVER_STOPPED' "$SERVERLOG"; then - { - printf 'Server force stopped:' - cat server.log - } >&2 - exit 1 -fi - -if ! grep --quiet -Po '.+Done \(.+\)\! For help, type "help" or "\?"' "$SERVERLOG"; then - { - printf 'Server did not finish startup:' - cat server.log - } >&2 - exit 1 -fi - -printf 'No crash reports detected' -exit 0 |